Get an evaluator's webhook subscriptions
curl --request GET \
--url https://api.arize.com/v2/evaluators/{evaluator_id}/webhook-subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/evaluators/{evaluator_id}/webhook-subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/evaluators/{evaluator_id}/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscriptions": [
{
"webhook_id": "V2ViaG9vazoxMjM0NQ==",
"webhook_name": "Prompt release notifications",
"subscribed_events": [
"PROMPT_VERSION_CREATED",
"PROMPT_VERSION_LABELED"
]
}
]
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Evaluators
Get an evaluator's webhook subscriptions
Get the webhooks attached to an evaluator and the events each receives.
This endpoint is in alpha, read more here.
GET
/
v2
/
evaluators
/
{evaluator_id}
/
webhook-subscriptions
Get an evaluator's webhook subscriptions
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique evaluator identifier (base64) A universally unique identifier (base64-encoded opaque string).
Example:
"RW50aXR5OjEyMzQ1"
Response
The complete set of webhook subscriptions attached to the resource
The complete set of webhook subscriptions attached to a resource.
The webhooks attached to the resource and the events each receives
Show child attributes
Show child attributes
Was this page helpful?
⌘I